Last Comment Bug 305227 - Up min/max version of XForms extension
: Up min/max version of XForms extension
Status: RESOLVED FIXED
: fixed1.8
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
:
Mentors:
: 307872 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-19 12:17 PDT by Doron Rosenberg (IBM)
Modified: 2016-07-15 14:46 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
1.4 is 1.5 beta, 1.6a1 is trunk (766 bytes, patch)
2005-08-19 12:18 PDT, Doron Rosenberg (IBM)
aaronr: review+
Details | Diff | Splinter Review
Patch for branch (1.14 KB, patch)
2005-09-09 06:55 PDT, Allan Beaufour
aaronr: review+
doronr: review+
asa: approval1.8b5+
Details | Diff | Splinter Review
Patch for trunk (1.34 KB, patch)
2005-09-13 06:06 PDT, Allan Beaufour
aaronr: review+
bugs: review+
Details | Diff | Splinter Review

Description Doron Rosenberg (IBM) 2005-08-19 12:17:21 PDT
 
Comment 1 Doron Rosenberg (IBM) 2005-08-19 12:18:27 PDT
Created attachment 193194 [details] [diff] [review]
1.4 is 1.5 beta, 1.6a1 is trunk
Comment 2 aaronr 2005-08-19 12:33:30 PDT
This bug addresses the fact that the nightly xforms.xpi no longer installs on a
nightly trunk build.
Comment 3 aaronr 2005-08-19 12:42:06 PDT
Comment on attachment 193194 [details] [diff] [review]
1.4 is 1.5 beta, 1.6a1 is trunk

well, this gets the xforms.xpi to install, but now the browser hangs trying to
load an XForm.	Guess we'll look at that in a seperate bug once I get a chance
to debug it more.
Comment 4 aaronr 2005-08-20 16:47:29 PDT
(In reply to comment #3)
> (From update of attachment 193194 [details] [diff] [review] [edit])
> well, this gets the xforms.xpi to install, but now the browser hangs trying to
> load an XForm.	Guess we'll look at that in a seperate bug once I get a chance
> to debug it more.
> 

The hang trying to load a form is caused by a bug introduced in XPath.  The
patch to bug 305326 will fix the hang.
Comment 5 Olli Pettay [:smaug] (way behind * queues, especially ni? queue) 2005-08-22 12:17:01 PDT
Comment on attachment 193194 [details] [diff] [review]
1.4 is 1.5 beta, 1.6a1 is trunk

I think we should have minVersion 1.4 and maxVersion 1.5 for branch, and 1.6a1
would be trunk only. Some interfaces may change so that the extension will not
stay binary compatible in both trunk and branch.
Comment 6 Allan Beaufour 2005-08-24 03:35:01 PDT
(In reply to comment #5)
> (From update of attachment 193194 [details] [diff] [review] [edit])
> I think we should have minVersion 1.4 and maxVersion 1.5 for branch, and 1.6a1
> would be trunk only. Some interfaces may change so that the extension will not
> stay binary compatible in both trunk and branch.

Good idea. We should get a "pre-release" ready for 1.5 release, but then
continue working on trunk, occasionally trying to see/getting it to work on
branch and then manual create a new version?
Comment 7 Allan Beaufour 2005-09-09 06:55:35 PDT
Created attachment 195405 [details] [diff] [review]
Patch for branch
Comment 8 aaronr 2005-09-09 07:09:47 PDT
Comment on attachment 195405 [details] [diff] [review]
Patch for branch

This is fine with me, but we need to verify with Mozilla.org whether we should
possibly have 1.5+ as max version instead of 1.5.  So what we need to know is
whether they are going to bump the version when they do 1.5.1, etc. security
releases.

Doron, please check this answer with Mozilla.org and get this patch checked in
to branch ASAP.  Thanks.
Comment 10 Doron Rosenberg (IBM) 2005-09-09 07:25:30 PDT
Comment on attachment 195405 [details] [diff] [review]
Patch for branch

Branch is closed right now.

What we should do is have an update.rdf somewhere on mozilla.org and reference
it in the install.rdf.	We can then do version bumping remotely.
Comment 11 Allan Beaufour 2005-09-09 08:08:52 PDT
(In reply to comment #10)
> (From update of attachment 195405 [details] [diff] [review] [edit])
> Branch is closed right now.
> 
> What we should do is have an update.rdf somewhere on mozilla.org and reference
> it in the install.rdf.	We can then do version bumping remotely.
> 

That assumes that you can actually install the xpi. You cannot, because it is
incompatible. This needs to go in .... now.
Comment 12 Jesse Ruderman 2005-09-10 19:00:56 PDT
*** Bug 307872 has been marked as a duplicate of this bug. ***
Comment 13 Allan Beaufour 2005-09-13 06:06:10 PDT
Created attachment 195860 [details] [diff] [review]
Patch for trunk

Set to 1.6a1 for trunk
Comment 14 Allan Beaufour 2005-09-13 06:08:30 PDT
(In reply to comment #7)
> Created an attachment (id=195405) [edit]
> Patch for branch

I checked it in to branch with 1.4 -> 1.5, so the nightly builds will work
immediately.
Comment 15 Allan Beaufour 2005-09-15 04:41:42 PDT
Checked in to trunk.

Bug 298431 actually fixes this forever. It is reviewed an approved, but is
waiting for build script changes. Doron promised to get hold of Chase.

Note You need to log in before you can comment on or make changes to this bug.